
.custom-dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-trigger {
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 0.5rem;
  user-select: none;
  transition: color 0.3s ease;
}

.dropdown-arrow {
  transition: transform 0.3s ease;
  font-size: 0.8em;
}

.custom-dropdown.active .dropdown-arrow {
  transform: rotate(180deg);
}

.dropdown-options {
  position: absolute;
  top: 120%;
  left: 0;
  background-color: var(--y-color-bg);
  min-width: 200px;
  box-shadow: var(--y-shadow);
  border-radius: 8px;
  padding: 0.5rem 0;
  list-style: none;
  opacity: 0;
  visibility: hidden;
  transform: translateY(-10px);
  transition: opacity 0.3s ease, transform 0.3s ease, visibility 0.3s ease;
  z-index: 100;
  border: 1px solid var(--y-color-border);
  height: 137px;
  overflow: auto;
}

.custom-dropdown.active .dropdown-options {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.dropdown-options li {
  padding: 0;
}

.dropdown-options li a,
.dropdown-options li {
  display: flex;
  padding: 0.75rem 1rem;
  color: var(--y-color-text);
  text-decoration: none;
  font-size: 0.95rem;
  cursor: pointer;
  transition: background-color 0.2s ease, color 0.2s ease;
  text-align: right;
}

.dropdown-options li:hover,
.dropdown-options li a:hover {
  background-color: var(--y-color-primary);
  color: var(--y-color-text);
}

.dropdown-options li.selected {
  color: var(--y-color-text);
  font-weight: bold;
  background-color: var(--y-color-primary);
}


.sort-dropdown {
  width: 100%;
  display: flex;
  justify-content: flex-end;
}


@media (max-width: 480px) {

  .dropdown-options {
    min-width: 100px;

  }
}